<ART ID="01653" PID="2207" JID="141" BPAGE="669" EPAGE="686" PII="S0129183111016531" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD></ARTHEAD>
<FRONT>
<T-GRP>
<MTI>MODELING SELECTION AND EXTINCTION MECHANISMS OF BIOLOGICAL SYSTEMS</MTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>ADIL</FNM>
<SNM>AMIRJANOV</SNM>
<EAD>aamircanov@neu.edu.tr</EAD>
<X-REF REFID="S0129183111016531AF001"></X-REF>
</AUT>
<AFF ID="S0129183111016531AF001">Department of Computer Science, Near East University, Nicosia, Northern Cyprus (via Mersin-10), <CNY>Turkey</CNY></AFF>
</A-GRP>
<HIST>
<RE>14 February 2011</RE>
<AC>20 May 2011</AC>
</HIST>
<ABST>
<P>In this paper, the behavior of a genetic algorithm is modeled to enhance its applicability as a modeling tool of biological systems. A new description model for selection mechanism is introduced which operates on a portion of individuals of population. The extinction and recolonization mechanism is modeled, and solving the dynamics analytically shows that the genetic drift in the population with extinction/recolonization is doubled. The mathematical analysis of the interaction between selection and extinction/recolonization processes is carried out to assess the dynamics of motion of the macroscopic statistical properties of population. Computer simulations confirm that the theoretical predictions of described models are in good approximations. A mathematical model of GA dynamics was also examined, which describes the anti-predator vigilance in an animal group with respect to a known analytical solution of the problem, and showed a good agreement between them to find the evolutionarily stable strategies.</P>
</ABST>
<KWDG>
<KWD>Genetic algorithms</KWD>
<KWD>modeling</KWD>
<KWD>statistical mechanics</KWD>
<KWD>simulation</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>11.25.Hf</KWD>
<KWD>123.1K</KWD>
</KWDG>
</FRONT>
</ART>
