<ART ID="01654" PID="2207" JID="141" BPAGE="687" EPAGE="710" PII="S0129183111016543" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD></ARTHEAD>
<FRONT>
<T-GRP>
<MTI>ANALYSIS OF OPTICAL WAVEGUIDES WITH ARBITRARY INDEX PROFILE USING AN IMMERSED INTERFACE METHOD</MTI>
<RTI>Analysis of Optical Waveguides with Arbitrary Index Profile Using an IIM</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>THEODOROS P.</FNM>
<SNM>HORIKIS</SNM>
<X-REF REFID="S0129183111016543AF001"></X-REF>
</AUT>
<AFF ID="S0129183111016543AF001">Department of Mathematics, University of Ioannina, Ioannina 45110, <CNY>Greece</CNY></AFF>
</A-GRP>
<HIST>
<RE>5 April 2011</RE>
<AC>25 May 2011</AC>
</HIST>
<ABST>
<P>A numerical technique is described that can efficiently compute solutions of interface problems. These are problems with data, such as the coefficients of differential equations, discontinuous or even singular across one or more interfaces. A prime example of these problems are optical waveguides, and as such the scheme is applied to Maxwell's equations as they are formulated to describe light confinement in Bragg fibers. It is based on standard finite differences appropriately modified to take into account all possible discontinuities across the waveguide's interfaces due to the change of the refractive index. Second- and fourth-order schemes are described with additional adaptations to handle matrix eigenvalue problems, demanding geometries and defects.</P>
</ABST>
<KWDG>
<KWD>Finite differences</KWD>
<KWD>immersed interface method</KWD>
<KWD>high-order finite differences</KWD>
<KWD>coordinate stretching</KWD>
<KWD>Bragg fibers</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>02.70.Bf</KWD>
<KWD>02.60.Lj</KWD>
<KWD>02.60.Cb</KWD>
<KWD>42.81.Qb</KWD>
<KWD>41.20.Jb</KWD>
</KWDG>
</FRONT>
</ART>
