<ART ID="01658" PID="2207" JID="141" BPAGE="729" EPAGE="744" PII="S0129183111016580" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD></ARTHEAD>
<FRONT>
<T-GRP>
<MTI>LATTICE BOLTZMANN STUDY OF ELECTROHYDRODYNAMIC DROP DEFORMATION WITH LARGE DENSITY RATIO</MTI>
<RTI>LB Study of Electrohydrodynamic Drop Deformation</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>ZHI-TAO</FNM>
<SNM>LI</SNM>
<X-REF REFID="S0129183111016580AF001"></X-REF>
</AUT>
<AUT>
<FNM>GAO-JIN</FNM>
<SNM>LI</SNM>
<X-REF REFID="S0129183111016580AF001"></X-REF>
</AUT>
<AUT>
<FNM>HAI-BO</FNM>
<SNM>HUANG</SNM>
<X-REF REFID="S0129183111016580AF001"></X-REF>
</AUT>
<AUT>
<FNM>XI-YUN</FNM>
<SNM>LU</SNM>
<X-REF REFID="S0129183111016580AF001"></X-REF>
</AUT>
<AFF ID="S0129183111016580AF001">Department of Modern Mechanics, University of Science and Technology of China, Hefei, Anhui 230026, <CNY>China</CNY></AFF>
</A-GRP>
<HIST>
<RE>27 January 2011</RE>
<AC>20 June 2011</AC>
</HIST>
<ABST>
<P>The lattice Boltzmann method (LBM) has been applied to electrohydrodynamics (EHD) in recent years. In this paper, Shan&#x2013;Chen (SC) single-component multiphase LBM is developed to study large-density-ratio EHD problems. The deformation/motion of a droplet suspended in a viscous liquid under an applied external electric field is studied with three different electric field models. The three models are leaky dielectric model, perfect dielectric model and constant surface charge model. They are used to investigate the effects of the electric field, electric properties of liquids and electric charges. The leaky dielectric model and the perfect dielectric model are validated by the comparison of LBM results with theoretical analysis and available numerical data. It shows that the SC LBM coupled with these electric field models is able to predict the droplet deformation under an external electric field. When net charges are present on the droplet surface and an electric field is applied, both droplet deformation and motion are reasonably predicted. The current numerical method may be an effective approach to analyze more complex EHD problems.</P>
</ABST>
<KWDG>
<KWD>Two-phase flows</KWD>
<KWD>lattice Boltzmann</KWD>
<KWD>electrohydrodynamics</KWD>
</KWDG>
</FRONT>
</ART>
